Bug 1014034 - [abrt] qemu-system-x86-1.4.2-10.fc19: main_channel_client_is_network_info_initialized: Process /usr/bin/qemu-system-x86_64 was killed by signal 11 (SIGSEGV)
[abrt] qemu-system-x86-1.4.2-10.fc19: main_channel_client_is_network_info_ini...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
abrt_hash:b919dfc60063c8d73885ba63533...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 05:51 EDT by Kamil Páral
Modified: 2015-02-17 12:26 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (98.10 KB, text/plain)
2013-10-01 05:51 EDT, Kamil Páral
no flags Details
File: cgroup (350 bytes, text/plain)
2013-10-01 05:51 EDT, Kamil Páral
no flags Details
File: core_backtrace (129.03 KB, text/plain)
2013-10-01 05:51 EDT, Kamil Páral
no flags Details
File: dso_list (9.37 KB, text/plain)
2013-10-01 05:51 EDT, Kamil Páral
no flags Details
File: environ (99 bytes, text/plain)
2013-10-01 05:51 EDT, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-01 05:52 EDT, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-01 05:52 EDT, Kamil Páral
no flags Details
File: maps (58.74 KB, text/plain)
2013-10-01 05:52 EDT, Kamil Páral
no flags Details
File: open_fds (6.85 KB, text/plain)
2013-10-01 05:52 EDT, Kamil Páral
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-10-01 05:52 EDT, Kamil Páral
no flags Details
f19.log from 2013-10-01 (22.80 KB, text/plain)
2013-10-02 13:49 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-10-01 05:51:28 EDT
Description of problem:
There was no specific action, my VM simply "turned off" out of the blue. It really turned off, not just disconnected graphically, so the system was in an inconsistent state (it happened during system update) and I had to reinstall it. Very inconvenient.

Version-Release number of selected component:
qemu-system-x86-1.4.2-10.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-x86_64 -machine accel=kvm -name f19 -S -machine pc-1.2,accel=kvm,usb=off -m 2000 -smp 2,sockets=2,cores=1,threads=1 -uuid 78cadc2b-b074-073d-e9a5-a43a51dbf03e -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/f19.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -no-shutdown -boot menu=off -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive if=none,id=drive-ide0-1-0,readonly=on,format=raw -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=1 -drive file=/var/lib/libvirt/images/f19.img,if=none,id=drive-virtio-disk0,format=raw -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x6,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=2 -netdev tap,fd=24,id=hostnet0,vhost=on,vhostfd=25 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:11:41:a5,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing,seamless-migration=on -vga qxl -global qxl-vga.ram_size=67108864 -global qxl-vga.vram_size=67108864 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7
crash_function: main_channel_client_is_network_info_initialized
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            107
var_log_messages: Oct  1 11:10:55 localhost abrt[18386]: Saved core dump of pid 17375 (/usr/bin/qemu-system-x86_64) to /var/tmp/abrt/ccpp-2013-10-01-11:10:39-17375 (2988007424 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 main_channel_client_is_network_info_initialized at main_channel.c:1150
 #1 red_stream_get_initial_bit_rate at red_worker.c:2941
 #2 red_display_create_stream at red_worker.c:3068
 #3 red_create_stream at red_worker.c:3145
 #4 red_stream_add_frame at red_worker.c:3426
 #5 red_current_add_equal at red_worker.c:3501
 #6 red_current_add at red_worker.c:3682
 #7 red_current_add_qxl at red_worker.c:3902
 #8 red_process_drawable at red_worker.c:4248
 #9 red_process_commands at red_worker.c:5192
Comment 1 Kamil Páral 2013-10-01 05:51:35 EDT
Created attachment 805802 [details]
File: backtrace
Comment 2 Kamil Páral 2013-10-01 05:51:40 EDT
Created attachment 805803 [details]
File: cgroup
Comment 3 Kamil Páral 2013-10-01 05:51:46 EDT
Created attachment 805804 [details]
File: core_backtrace
Comment 4 Kamil Páral 2013-10-01 05:51:52 EDT
Created attachment 805805 [details]
File: dso_list
Comment 5 Kamil Páral 2013-10-01 05:51:57 EDT
Created attachment 805806 [details]
File: environ
Comment 6 Kamil Páral 2013-10-01 05:52:02 EDT
Created attachment 805807 [details]
File: exploitable
Comment 7 Kamil Páral 2013-10-01 05:52:07 EDT
Created attachment 805808 [details]
File: limits
Comment 8 Kamil Páral 2013-10-01 05:52:12 EDT
Created attachment 805809 [details]
File: maps
Comment 9 Kamil Páral 2013-10-01 05:52:18 EDT
Created attachment 805810 [details]
File: open_fds
Comment 10 Kamil Páral 2013-10-01 05:52:23 EDT
Created attachment 805811 [details]
File: proc_pid_status
Comment 11 Alon Levy 2013-10-01 12:02:20 EDT
Kamil, thanks for the report. Do you have the stdout capture of the qemu process? if it was run by libvirt it should be in /var/log/libvirt/qemu/f19.log

I'm asking because the immediate cause for the bug is an inconsistency in spice-server state, specifically dcc != NULL but dcc->common.base.client == NULL, and I wanted to see if there was any log message about a disconnection happening.

Alon
Comment 12 Kamil Páral 2013-10-02 13:49:02 EDT
Created attachment 806654 [details]
f19.log from 2013-10-01

Hello Alon. This is the log from that day.
Comment 13 Fedora Admin XMLRPC Client 2014-03-17 05:26:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2015-01-09 15:03:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 12:26:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.